@charset "utf-8";
@import url('https://fonts.googleapis.com/css?family=Noto+Sans+JP&display=swap');

html,body {
  height: 100%;
  font-family: 'Noto Sans JP', sans-serif;
}

body {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background: rgb(234,246,253);
  background-image: url('../img/airplain-n.png'),url('../img/bg.png');
  background-repeat: no-repeat,no-repeat;
  background-size: 220px,contain;
  background-position: bottom right,center top;
}

.title{
  background-color: #dc3545;
  color: #fff;
}
.title h1{
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 1;
  margin: 0;
  padding: 0;
}


.logo{
  position: relative;
}

.card{
  box-shadow: 0 0 8px gray;
}
.card,.card-body{
  background: rgb(255,255,255);
  background-image: url('../img/header.png');
  background-size: 1200px;
  background-position: center top;
  background-repeat: no-repeat;
}

.logo-area{
  margin-top: 60px;
  margin-bottom: 30px;
  text-align: right;
}
.logo-area img{
  display: inline-block;
  width: 80px;
}

.form-signin,
.main-block {
  width: 100%;
  max-width: 520px;
  padding: 15px;
  margin: auto;
}

.form-label-group {
  position: relative;
  margin-bottom: .5rem;
}

/* .form-label-group .input-group, */
.form-label-group input,
.form-label-group > label {
  height: 3.125rem;
  padding: .75rem;
}

.form-label-group > label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0; /* Override default `<label>` margin */
  line-height: 1.5;
  color: #495057;
  pointer-events: none;
  cursor: text; /* Match the input under the label */
  border: 1px solid transparent;
  border-radius: .25rem;
  transition: all .1s ease-in-out;
}

.form-label-group .input-group + label {
  z-index: 9999;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: 1.25rem;
  padding-bottom: .25rem;
}

.form-label-group input:not(:placeholder-shown) ~ label,
label.label_smaller {
  padding-top: .25rem;
  padding-bottom: .25rem;
  font-size: 12px;
  color: #777;
}

/* Fallback for Edge
-------------------------------------------------- */
@supports (-ms-ime-align: auto) {
  .form-label-group > label {
    display: none;
  }
  .form-label-group input::-ms-input-placeholder {
    color: #777;
  }
  
}

/* Fallback for IE
-------------------------------------------------- */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .form-label-group > label {
    display: none;
  }
  .form-label-group input:-ms-input-placeholder {
    color: #777;
  }
}

ul.error{
	margin: 0;
	padding-left: 1rem;
	text-align: left;
	font-size: .8rem;
	font-weight: bold;
}
ul.error li{
	margin: 0;
	padding: 0;
}
@media (max-width: 559px) {
  html{
    margin: 0;
    padding: 0;
  }
  body{
    display: block;
    background-image: none;
    padding: 0;
    margin: 0;
    background-color: rgb(234,246,253);
    position: relative;
  }
  .form-signin, .main-block{
    margin: 0;
    background-color: rgb(234,246,253);
    
  }
  .logo-area{
    margin-top: 0;
  }
  body::before{
    background-image: url('../img/bg.png');
    background-size: cover;
    display: block;
    height: 120px;
    width: 100%;
    background-repeat: no-repeat;
    content: ' ';
  }
  body::after{
    position: absolute;
    top: 0;
    left: 0;
    content: url('../img/airplain-n.png');
    transform: scale(0.7);
    z-index: 2;
  }
  .card, .card-body{
    background-image: none;
  }
  .card{
    box-shadow: none;
    border: none;
  }
}